@import '../../variables.scss';

.header {
  display: flex;
  align-items: center;
  height: 4rem;
  margin: 0 auto;
  width: 100%;
  padding: 0 0.5rem;

  &-container {
    background-color: $blue;
    width: 100%;
  }

  &__logo {
    height: 2.5rem;
    width: 2.5rem;
  }

  &__search {
    display: flex;
    align-items: center;
    background-color: rgba(#000, 0.4);
    border-radius: 0.25rem;
    height: 2.5rem;
    flex: 1;
    padding: 0.25rem;
    margin: 0 0.5rem;

    &-icon {
      height: 1.5rem;
      width: 1.5rem;
    }

    &-bar {
      background: none;
      color: #fff;
      font-size: 0.75rem;

      &::placeholder {
        color: #fff;
        opacity: 1;
      }
    }
  }

  &__text {
    display: none;
  }

  &__button {
    background-color: rgba(#fff, 0.35);
    color: #fff;
    text-transform: uppercase;
    font-size: 0.75rem;
    height: 2.5rem;
    border-radius: 0.25rem;
    padding: 0.25rem;
  }

  &__dropdown {
    &-group {
      display: none;
    }
  }

  &__avatar {
    display: none;
  }
}

@media (min-width: $lg) {
  .header {
    width: $lg;
    justify-content: flex-start;

    &__logo {
      margin-right: 1rem;
    }

    &__text {
      display: inline;
      color: #fff;
      text-transform: uppercase;
      font-size: 0.75rem
    }

    &__search {
      margin: 0 1rem;
      padding: 0 1rem;

      &-icon {
        height: 2rem;
        width: 2rem;
      }

      &-bar {
        font-size: 1rem;
      }
    }

    &__button {
      margin: 0 1rem;
      padding: 0.5rem 1.5rem;
    }

    &__dropdown {
      flex: 1;
      color: #fff;
      padding: 0.5rem;
      height: 2.5rem;
      margin: 0 0.5rem;

      &::after {
        position: absolute;
        content: "\2304";
        color: rgba(#fff, 0.2);
        font-size: 1.5rem;
        margin-left: 0.25rem;
        transform: translateY(-0.5rem);
      }

      &-group {
        display: flex;
        margin-right: 3rem;
      }
    }

    &__avatar {
      display: block;
      height: 1.75rem;
      width: 1.75rem;
      border-radius: 50%;
      margin-right: 1rem;
      cursor: pointer;

      &--user::after {
        content: "\2304";
        color: rgba(#fff, 0.4);
        font-size: 1.5rem;
        margin-left: 0.25rem;
      }
    }
  }
}

@media (min-width: $xl) {
  .header {
    width: $xl;

    &__logo {
      margin-right: 2rem;
    }

    &__dropdown {
      &-group {
        margin: 0 4rem 0 2rem;
      }
    }
  }
}
